com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecutionContinuedAsNewEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionContinuedAsNewEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecutionContinuedAsNewEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `WorkflowExecutionContinuedAsNew` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecutionContinuedAsNewEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecutionContinuedAsNewEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getChildPolicy()` The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `ContinueAsNewWorkflowExecution` decision that started this execution.
`String` `getExecutionStartToCloseTimeout()` The total duration allowed for the new workflow execution.
`String` `getInput()` The input provided to the new workflow execution.
`String` `getLambdaRole()` The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.
`String` `getNewExecutionRunId()` The `runId` of the new workflow execution.
`List<String>` `getTagList()` The list of tags associated with the new workflow execution.
`TaskList` `getTaskList()`
`String` `getTaskPriority()`
`String` `getTaskStartToCloseTimeout()` The maximum duration of decision tasks for the new workflow execution.
`WorkflowType` `getWorkflowType()`
`int` `hashCode()`
`void` `setChildPolicy(ChildPolicy childPolicy)` The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`void` `setChildPolicy(String childPolicy)` The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `ContinueAsNewWorkflowExecution` decision that started this execution.
`void` `setExecutionStartToCloseTimeout(String executionStartToCloseTimeout)` The total duration allowed for the new workflow execution.
`void` `setInput(String input)` The input provided to the new workflow execution.
`void` `setLambdaRole(String lambdaRole)` The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.
`void` `setNewExecutionRunId(String newExecutionRunId)` The `runId` of the new workflow execution.
`void` `setTagList(Collection<String> tagList)` The list of tags associated with the new workflow execution.
`void` `setTaskList(TaskList taskList)`
`void` `setTaskPriority(String taskPriority)`
`void` `setTaskStartToCloseTimeout(String taskStartToCloseTimeout)` The maximum duration of decision tasks for the new workflow execution.
`void` `setWorkflowType(WorkflowType workflowType)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecutionContinuedAsNewEventAttributes` `withChildPolicy(ChildPolicy childPolicy)` The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`WorkflowExecutionContinuedAsNewEventAttributes` `withChildPolicy(String childPolicy)` The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`WorkflowExecutionContinuedAsNewEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `ContinueAsNewWorkflowExecution` decision that started this execution.
`WorkflowExecutionContinuedAsNewEventAttributes` `withExecutionStartToCloseTimeout(String executionStartToCloseTimeout)` The total duration allowed for the new workflow execution.
`WorkflowExecutionContinuedAsNewEventAttributes` `withInput(String input)` The input provided to the new workflow execution.
`WorkflowExecutionContinuedAsNewEventAttributes` `withLambdaRole(String lambdaRole)` The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.
`WorkflowExecutionContinuedAsNewEventAttributes` `withNewExecutionRunId(String newExecutionRunId)` The `runId` of the new workflow execution.
`WorkflowExecutionContinuedAsNewEventAttributes` `withTagList(Collection<String> tagList)` The list of tags associated with the new workflow execution.
`WorkflowExecutionContinuedAsNewEventAttributes` `withTagList(String... tagList)` The list of tags associated with the new workflow execution.
`WorkflowExecutionContinuedAsNewEventAttributes` `withTaskList(TaskList taskList)`
`WorkflowExecutionContinuedAsNewEventAttributes` `withTaskPriority(String taskPriority)`
`WorkflowExecutionContinuedAsNewEventAttributes` `withTaskStartToCloseTimeout(String taskStartToCloseTimeout)` The maximum duration of decision tasks for the new workflow execution.
`WorkflowExecutionContinuedAsNewEventAttributes` `withWorkflowType(WorkflowType workflowType)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecutionContinuedAsNewEventAttributes

    public WorkflowExecutionContinuedAsNewEventAttributes()

### Method Detail

#### setInput

    public void setInput(String input)

The input provided to the new workflow execution.

Parameters:
  `input` - The input provided to the new workflow execution.

#### getInput

    public String getInput()

The input provided to the new workflow execution.

Returns:
  The input provided to the new workflow execution.

#### withInput

    public WorkflowExecutionContinuedAsNewEventAttributes withInput(String input)

The input provided to the new workflow execution.

Parameters:
  `input` - The input provided to the new workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `ContinueAsNewWorkflowExecution` decision that started this execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `ContinueAsNewWorkflowExecution` decision that started this execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `ContinueAsNewWorkflowExecution` decision that started this execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `ContinueAsNewWorkflowExecution` decision that started this execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withDecisionTaskCompletedEventId

    public WorkflowExecutionContinuedAsNewEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `ContinueAsNewWorkflowExecution` decision that started this execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `ContinueAsNewWorkflowExecution` decision that started this execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNewExecutionRunId

    public void setNewExecutionRunId(String newExecutionRunId)

The `runId` of the new workflow execution.

Parameters:
  `newExecutionRunId` - The `runId` of the new workflow execution.

#### getNewExecutionRunId

    public String getNewExecutionRunId()

The `runId` of the new workflow execution.

Returns:
  The `runId` of the new workflow execution.

#### withNewExecutionRunId

    public WorkflowExecutionContinuedAsNewEventAttributes withNewExecutionRunId(String newExecutionRunId)

The `runId` of the new workflow execution.

Parameters:
  `newExecutionRunId` - The `runId` of the new workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExecutionStartToCloseTimeout

    public void setExecutionStartToCloseTimeout(String executionStartToCloseTimeout)

The total duration allowed for the new workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `executionStartToCloseTimeout` - The total duration allowed for the new workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### getExecutionStartToCloseTimeout

    public String getExecutionStartToCloseTimeout()

The total duration allowed for the new workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  The total duration allowed for the new workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### withExecutionStartToCloseTimeout

    public WorkflowExecutionContinuedAsNewEventAttributes withExecutionStartToCloseTimeout(String executionStartToCloseTimeout)

The total duration allowed for the new workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `executionStartToCloseTimeout` - The total duration allowed for the new workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskList

    public void setTaskList(TaskList taskList)

Parameters:
  `taskList` -

#### getTaskList

    public TaskList getTaskList()

Returns:

#### withTaskList

    public WorkflowExecutionContinuedAsNewEventAttributes withTaskList(TaskList taskList)

Parameters:
  `taskList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskPriority

    public void setTaskPriority(String taskPriority)

Parameters:
  `taskPriority` -

#### getTaskPriority

    public String getTaskPriority()

Returns:

#### withTaskPriority

    public WorkflowExecutionContinuedAsNewEventAttributes withTaskPriority(String taskPriority)

Parameters:
  `taskPriority` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskStartToCloseTimeout

    public void setTaskStartToCloseTimeout(String taskStartToCloseTimeout)

The maximum duration of decision tasks for the new workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `taskStartToCloseTimeout` - The maximum duration of decision tasks for the new workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### getTaskStartToCloseTimeout

    public String getTaskStartToCloseTimeout()

The maximum duration of decision tasks for the new workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  The maximum duration of decision tasks for the new workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### withTaskStartToCloseTimeout

    public WorkflowExecutionContinuedAsNewEventAttributes withTaskStartToCloseTimeout(String taskStartToCloseTimeout)

The maximum duration of decision tasks for the new workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `taskStartToCloseTimeout` - The maximum duration of decision tasks for the new workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildPolicy

    public void setChildPolicy(String childPolicy)

The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### getChildPolicy

    public String getChildPolicy()

The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Returns:
  The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public WorkflowExecutionContinuedAsNewEventAttributes withChildPolicy(String childPolicy)

The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### setChildPolicy

    public void setChildPolicy(ChildPolicy childPolicy)

The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public WorkflowExecutionContinuedAsNewEventAttributes withChildPolicy(ChildPolicy childPolicy)

The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### getTagList

    public List<String> getTagList()

The list of tags associated with the new workflow execution.

Returns:
  The list of tags associated with the new workflow execution.

#### setTagList

    public void setTagList(Collection<String> tagList)

The list of tags associated with the new workflow execution.

Parameters:
  `tagList` - The list of tags associated with the new workflow execution.

#### withTagList

    public WorkflowExecutionContinuedAsNewEventAttributes withTagList(String... tagList)

The list of tags associated with the new workflow execution.

NOTE: This method appends the values to the existing list (if any). Use `setTagList(java.util.Collection)` or `withTagList(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tagList` - The list of tags associated with the new workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTagList

    public WorkflowExecutionContinuedAsNewEventAttributes withTagList(Collection<String> tagList)

The list of tags associated with the new workflow execution.

Parameters:
  `tagList` - The list of tags associated with the new workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowType

    public void setWorkflowType(WorkflowType workflowType)

Parameters:
  `workflowType` -

#### getWorkflowType

    public WorkflowType getWorkflowType()

Returns:

#### withWorkflowType

    public WorkflowExecutionContinuedAsNewEventAttributes withWorkflowType(WorkflowType workflowType)

Parameters:
  `workflowType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLambdaRole

    public void setLambdaRole(String lambdaRole)

The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

Parameters:
  `lambdaRole` - The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

#### getLambdaRole

    public String getLambdaRole()

The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

Returns:
  The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

#### withLambdaRole

    public WorkflowExecutionContinuedAsNewEventAttributes withLambdaRole(String lambdaRole)

The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

Parameters:
  `lambdaRole` - The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecutionContinuedAsNewEventAttributes clone()

Overrides:
  `clone` in class `Object`